<template>
    <button @click="$emit('click')" :style="colorsRules" v-text="text"></button>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class RoundButton extends Vue {
  @Prop({ default: "" }) readonly text!: string;
   
  backgroundColor = '#feca38'
  textColor = '#000'


  get colorsRules(){
    return `background-color: ${this.backgroundColor}; color: ${this.textColor};`
  }

  click() {
    this.$emit("click");
  }

  created(){
     const colors = this.$store.getters.colors;
     this.backgroundColor = colors.backgroundColor;
     this.textColor = colors.textColor;
  }
}
</script>

<style lang="scss" scoped>
button {
  border: none;
  padding: 10px 15px 10px 15px;
  border-radius: 12px;
  font-family: 'Roboto condensed';
  font-weight: bold;
  font-size: 8px;
}
</style>